BizKitHub
DocsAPI ReferenceLedger/bff/ledger/closing/step-status
postLedgerAdmin BFF

/bff/ledger/closing/step-status

Confirm, skip or reopen a closing step

LedgerpostBffLedgerClosingStep-status

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
periodIdstringRequired

Fiscal period external id.

Length: 16–24
step"precheck" | "fx_revaluation" | "accruals" | "depreciation" | "provisions" | "inventory" | "income_tax" | "close_books" | "open_next" | "profit_distribution"Required
status"pending" | "done" | "skipped"Required
notestring | nullOptional
One of 2:
Variant 1
string
Length: 0–2000
Variant 2
null

Response schema

1 status code documented

200Success
successbooleanRequired

Response example

application/json
{
  "success": false
}

Request example

POST /bff/ledger/closing/step-status

post
curl -X POST "https://api.bizkithub.com/bff/ledger/closing/step-status" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "periodId": "example_periodId"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key